Package org.eclipse.microprofile.metrics.tck

## Class MetricRegistryTest

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.MetricRegistryTest

    public class MetricRegistryTest
    extends Object

### Constructor Summary

Constructors
`MetricRegistryTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.jboss.shrinkwrap.api.spec.WebArchive` `createDeployment()`
`void` `nameTest()`
`void` `removeTest()`
`void` `testMetricRegistryEquivalence()`
`void` `testMetricRegistryScope()`
`void` `testMetricRegistryScopeDeprecatedRegistryType()`
`void` `useExistingMetaDataTest()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetricRegistryTest

    public MetricRegistryTest()

### Method Detail

#### createDeployment

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive createDeployment()

#### nameTest

    @InSequence(1)
    public void nameTest()

#### removeTest

    @InSequence(3)
    public void removeTest()

#### useExistingMetaDataTest

    @InSequence(4)
    public void useExistingMetaDataTest()

#### testMetricRegistryScope

    @InSequence(5)
    public void testMetricRegistryScope()

#### testMetricRegistryScopeDeprecatedRegistryType

    @InSequence(6)
    public void testMetricRegistryScopeDeprecatedRegistryType()

#### testMetricRegistryEquivalence

    @InSequence(7)
    public void testMetricRegistryEquivalence()